package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgAcuRdcmd;

public interface PgAcuRdcmdDao {

	public List<PgAcuRdcmd> findAll();
	public PgAcuRdcmd findById(String id);
	
	public PgAcuRdcmd findLatestCmdByDestAndType(String dest, String type);
	
	public int addCmdRecord(PgAcuRdcmd cmd);
	public int updateCmdRecordTimeout(String cmdId);
	public int deleteCmdRecord(String cmdId);
	
	public int deleteTimeoutCmd();
}
